var xhr = new XMLHttpRequest();

xhr.onload = function() {
    if (xhr.status === 200) {
        var response = xhr.responseXML;
        var events = response.getElementsByTagName('event');
        var content = document.getElementById('content');

        for(var i = 0; i <= events.length - 1; i++) {
            var container = document.createElement('div');                                  // <div></div>
            container.className = 'event';                                                  // <div class ="event">

            var image = document.createElement('img');                                      // <img>
            image.setAttribute('src', getNodeValue(events[i], 'map'));                      // <img src="map.png">
            image.setAttribute('alt', getNodeValue(events[i], 'location'));                 // <img src="map.png" alt="location">

            container.appendChild(image);                                                   // <div class="event"><img...></div>

            var location = document.createElement('p');         //<p></p>
            var city = document.createElement('b');             // <b></b>
            var newline = document.createElement('br');         // <br>

            city.appendChild(document.createTextNode(getNodeValue(events[i], 'location')));     // <b>location</b>
            location.appendChild(newline);                                                      // <p><br></p>
            location.insertBefore(city, newline);                                               // <p><b>location</b><br></p>
            location.appendChild(document.createTextNode(getNodeValue(events[i], 'date')));     // <p><b>location</b><br>date</p>

            container.appendChild(location);                // <div class="event"><img...><p><b>location...</p></div>
            content.appendChild(container);                 // <section id="content"><div class="event"...
        }

        function getNodeValue(obj, tag) {
            return obj.getElementsByTagName(tag)[0].firstChild.nodeValue;
        }
    }
};

xhr.open('GET', 'data/js-ajax.xml', true);
xhr.send(null);