<?php
   /*   File: mysql-inc.pdoCount.php
    * Author: Socratis Tornaritis
    *
    * This script demonstrates the use of the pdo object with
    * MySQL. It allows the user to select the table to display.
    */
   
   include "../db/mysql-inc.connectDB.php";

try {
    /* Connect to the db. */
    $pdo = new PDO(DB_CONNECTION_STRING, DB_USER, DB_PWD);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    /* Populate the table names. */
    populateTableList($pdo);

    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
        showRecordCount($pdo, $_POST['table']);
    }// end if

    $pdo = null;
} catch (PDOException $e) {
    die( $e->getMessage() );
}

   /*------------------------------------------------------------------*/
   function populateTableList($pdo) {
      /* Retrieve all the table names. */
      $sql = "SHOW TABLES";
      $result = $pdo->query($sql);
      
      echo "
      <hr>
      <form method='POST' action='mysql-inc.pdoCount.php'>
      <fieldset>
      <legend>Select the table to get a record count:</legend>
      
      <select name='table'>
      <option>Select table</option>";
      
      while ($table = $result->fetch()) {
          if ($table[0] == $_POST['table']) { $selected = 'selected'; }
          else { $selected = ''; }
         echo "\n<option $selected>$table[0]</option>";
      }
      
      echo "
      </select>
      
      <input type='Submit' value='Count Records'>
      <button><a href='mysql-count-select.php'>Home</a></button>
      </fieldset>
      </form>
      <hr>";
   }// end populateTableList()
   /*------------------------------------------------------------------*/
   function showRecordCount($pdo, $table) {
      /* View the selected table. */
      if ($table != 'Select table') {
          $sql = "SELECT COUNT(*) FROM $table";
          $result = $pdo->query($sql);
          $count = $result->fetch()[0];

         /* The above sql returns a count of records in the table. */
         echo "Table $table has $count records.";
      }
   }// end showRecordCount()
   /*------------------------------------------------------------------*/