<?php
   /*   File: mysql-inc.pdoSEARCH.php
    * Author: Socratis Tornaritis
    *
    * This script uses prepared statements to search the db for
    * a user supplied book.
    */

   define('SEARCH_BOX', 'titleField');
   
   /*------------------------------------------------------------------*/
   function getSearchPattern() {
      $value = "";
      if ( isset($_POST[SEARCH_BOX]) ) {
         $value = $_POST[SEARCH_BOX];
      }
      return $value;
   }// end getSearchPattern()
   /*------------------------------------------------------------------*/
   
   function getPdo() {
      include "../db/mysql-inc.bookcrmDB.php";

      $pdo = new PDO(DB_CONNECTION_STRING, DB_USER, DB_PWD);
      $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
      
      return $pdo;
   }// end getPdo()
   /*------------------------------------------------------------------*/
   
   function getResults() {
      try {
         $pdo = getPdo();
         
         $searchPattern = '%' . getSearchPattern() . '%';
        
         $sql = "SELECT ISBN10, Title, CopyrightYear FROM Books WHERE Title LIKE :title";
         $statement = $pdo->prepare($sql);
         $statement->bindValue(':title', $searchPattern);
         $statement->execute();

         return $statement;
         
      } catch (PDOException $e) {
         die($e->getMessage());
      }// end try
   }// end getResults()
   /*------------------------------------------------------------------*/