<?php
   /*   File: mysql-inc.pdoSelect.php
    * Author: Socratis Tornaritis
    *
    * This script demonstrates the use of the pdo object with
    * MySQL. It selects all the records of the site6_books table.
    */
   
   include "../db/mysql-inc.connectDB.php";

try {
    /* Connect to the db. */
    $pdo = new PDO(DB_CONNECTION_STRING, DB_USER, DB_PWD);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    /* Populate the table names. */
    populateTableList($pdo);

    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
        listRecords($pdo, $_POST['table']);
    }// end if

    $pdo = null;
} catch (PDOException $e) {
    die($e->getMessage());
}

/*------------------------------------------------------------------*/
function populateTableList($pdo) {
    /* Retrieve all the table names. */
    $sql = "SHOW TABLES";
    $result = $pdo->query($sql);

    echo "
      <hr>
      <form method='POST' action='mysql-inc.pdoSelect.php'>
      <fieldset>
      <legend>Select the table to view:</legend>

      <select name='table'>
      <option>Select table</option>";

    while ($table = $result->fetch()) {
        if ($table[0] == $_POST['table']) { $selected = 'selected'; }
        else { $selected = ''; }
        echo "\n<option $selected>$table[0]</option>";
    }

    echo "
      </select>

      <input type='Submit' value='View Records'>
      <button><a href='mysql-count-select.php'>Home</a></button>
      </fieldset>
      </form>
      <hr>";
}// end populateTableList()
/*------------------------------------------------------------------*/
function listRecords($pdo, $table) {
    /* View the selected table. */
    if ($table != 'Select table') {
        $sql = "SELECT * FROM $table";
        $result = $pdo->query($sql);

        $col='';
        $val='';
        $row = $result->fetch(PDO::FETCH_ASSOC);
        foreach ($row as $k => $v) {
            $col .= "$k ";
            $val .= "$v ";
        }
        while( $row = $result->fetch(PDO::FETCH_ASSOC) ) {
            $val .= "<br>";
            foreach ($row as $r) {
                $val .= "$r ";
            }

        }
        echo "$col<br>$val";
    }
}// end listRecords()
/*------------------------------------------------------------------*/